public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Winston" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/moarvm/
Date: Sun,  8 May 2016 20:21:59 +0000 (UTC)	[thread overview]
Message-ID: <1462738494.5e5d98bb7afc1c961e89f1aff1738fb37b4ff6f3.amynka@gentoo> (raw)

commit:     5e5d98bb7afc1c961e89f1aff1738fb37b4ff6f3
Author:     Marshall Brewer (Gentoo Key) <tomboy64 <AT> sina <DOT> cn>
AuthorDate: Thu Apr 28 16:49:06 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Sun May  8 20:14:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e5d98bb

dev-lang/moarvm: re-add 9999, based on 2016.04-r1

 dev-lang/moarvm/moarvm-9999.ebuild | 64 ++++++++++++++++++++++++++++----------
 1 file changed, 48 insertions(+), 16 deletions(-)

diff --git a/dev-lang/moarvm/moarvm-9999.ebuild b/dev-lang/moarvm/moarvm-9999.ebuild
index 0b704eb..7b75a88 100644
--- a/dev-lang/moarvm/moarvm-9999.ebuild
+++ b/dev-lang/moarvm/moarvm-9999.ebuild
@@ -1,36 +1,68 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-inherit eutils git-r3
+inherit flag-o-matic
 
 MY_PN="MoarVM"
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/${MY_PN}/${MY_PN}.git"
+	inherit git-r3
+	KEYWORDS=""
+	S="${WORKDIR}/${P}"
+else
+	SRC_URI="https://moarvm.org/releases/${MY_PN}-${PV}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${MY_PN}-${PV}"
+fi
 
 DESCRIPTION="A 6model-based VM for NQP and Rakudo Perl 6"
-HOMEPAGE="https://github.com/MoarVM/MoarVM"
-EGIT_REPO_URI="https://github.com/MoarVM/MoarVM.git"
-
+HOMEPAGE="http://moarvm.org"
 LICENSE="Artistic-2"
 SLOT="0"
-KEYWORDS=""
-IUSE="doc"
+IUSE="asan clang debug doc +jit static-libs +system-libs optimize ubsan"
 
-RDEPEND=""
+RDEPEND="dev-libs/libatomic_ops
+		dev-libs/libtommath
+		dev-libs/libuv
+		jit? ( dev-lang/lua:0[deprecated]
+			dev-lua/LuaBitOp )
+		virtual/libffi"
 DEPEND="${RDEPEND}
+	clang? ( >=sys-devel/clang-3.1 )
 	dev-lang/perl"
 
+PATCHES=( "${FILESDIR}/Configure-2016.04.patch" )
+DOCS=( CREDITS README.markdown )
+
+# Tests are conducted via nqp
+RESTRICT=test
+
 src_prepare() {
-	epatch "${FILESDIR}/Configure-9999.patch" || die
+	eapply "${PATCHES[@]}"
+	eapply_user
+	use doc && DOCS+=( docs/* )
 }
 
 src_configure() {
-	 # this is quite badong, but wtf build system
-	echo "2013.10-145-gec52026" >> VERSION
-	perl Configure.pl --prefix="${D}/usr"|| die
-}
+	local myconfigargs=(
+		"--prefix=/usr"
+		"--libdir=$(get_libdir)"
+		"--compiler=$(usex clang clang gcc)"
+		"$(usex asan        --asan)"
+		"$(usex debug       --debug            --no-debug)"
+		"$(usex jit         --lua=/usr/bin/lua --no-jit)"
+		"$(usex optimize    --optimize=        --no-optimize)"
+		"$(usex static-libs --static)"
+		"$(usex system-libs --has-libtommath)"
+		"$(usex system-libs --has-libuv)"
+		"$(usex system-libs --has-libatomic_ops)"
+		"$(usex system-libs --has-libffi)"
+		"$(usex ubsan       --ubsan)"
+	)
+	use optimize && filter-flags '-O*'
 
-src_install() {
-	make install
+	perl Configure.pl "${myconfigargs[@]}" || die
 }


             reply	other threads:[~2016-05-08 20:22 UTC|newest]

Thread overview: 96+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-08 20:21 Amy Winston [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 15:08 [gentoo-commits] repo/gentoo:master commit in: dev-lang/moarvm/ Patrick Lauer
2024-08-30 15:08 Patrick Lauer
2024-06-24  9:26 Patrick Lauer
2024-05-06  9:04 Patrick Lauer
2024-05-06  9:04 Patrick Lauer
2024-03-16 13:02 Patrick Lauer
2024-03-16 13:02 Patrick Lauer
2024-01-06  6:19 罗百科
2023-10-30  6:57 罗百科
2023-09-25 13:18 Arthur Zamarin
2023-02-27 16:43 罗百科
2023-02-27 16:43 罗百科
2023-02-27 16:43 罗百科
2023-02-27 16:43 罗百科
2022-06-21 13:50 罗百科
2022-03-03 18:17 罗百科
2021-12-13  0:25 Andreas K. Hüttel
2021-11-25 13:51 罗百科
2021-08-29 15:13 罗百科
2021-07-10 18:54 Sam James
2021-06-23 15:17 罗百科
2021-06-23 15:17 罗百科
2021-05-16 21:08 Andreas K. Hüttel
2021-03-26 19:46 Conrad Kostecki
2021-03-19  4:12 Sam James
2021-02-22 16:18 罗百科
2020-12-31  7:22 罗百科
2020-12-08 11:44 Marek Szuba
2020-12-08 11:44 Marek Szuba
2020-12-03 22:58 Marek Szuba
2020-11-30  6:20 罗百科
2020-11-16 22:53 Sergei Trofimovich
2020-10-26 16:27 罗百科
2020-10-04 13:24 罗百科
2020-08-24  5:00 罗百科
2020-08-24  5:00 罗百科
2020-08-13  5:22 罗百科
2020-07-09 14:33 罗百科
2020-06-08 15:32 罗百科
2019-12-25 11:31 罗百科
2019-12-25 11:29 罗百科
2019-10-04 17:06 Andreas K. Hüttel
2019-08-07 11:42 Kent Fredric
2019-08-06  5:30 Kent Fredric
2019-08-06  5:30 Kent Fredric
2019-08-06  3:20 Kent Fredric
2019-08-04 20:07 Kent Fredric
2019-03-26 18:45 Patrick Lauer
2019-03-16 16:57 Patrick Lauer
2019-01-26 15:49 Patrick Lauer
2018-09-29  7:04 Patrick Lauer
2018-09-29  7:04 Patrick Lauer
2018-09-10 16:56 Patrick Lauer
2018-07-07  6:49 Patrick Lauer
2018-05-26 16:30 Patrick Lauer
2018-05-04 18:11 Patrick Lauer
2018-04-29 18:40 Patrick Lauer
2018-03-30 15:54 Patrick Lauer
2018-02-27 17:13 Patrick Lauer
2018-02-22 18:57 Patrick Lauer
2018-02-13 19:16 Patrick Lauer
2018-01-13 15:21 Patrick Lauer
2017-12-16 16:13 Patrick Lauer
2017-11-02  6:19 Patrick Lauer
2017-09-22 18:46 Patrick Lauer
2017-09-22 18:46 Patrick Lauer
2017-09-16  5:54 Patrick Lauer
2017-07-28  9:29 Patrick Lauer
2017-06-27 17:20 Kent Fredric
2017-06-26 13:50 Patrick Lauer
2017-06-03  7:06 Patrick Lauer
2017-04-25 11:10 Patrick Lauer
2017-04-08  6:57 Patrick Lauer
2017-03-10 15:58 Patrick Lauer
2017-01-28 21:16 Patrick Lauer
2016-12-28 17:23 Patrick Lauer
2016-12-28 17:23 Patrick Lauer
2016-11-25 18:53 Patrick Lauer
2016-10-20 16:49 Patrick Lauer
2016-09-30 13:13 Patrick Lauer
2016-08-23 14:51 Patrick Lauer
2016-07-20  9:18 Patrick Lauer
2016-06-28 12:29 Patrick Lauer
2016-06-02 12:55 Amy Winston
2016-06-02 12:55 Amy Winston
2016-06-02 12:55 Amy Winston
2016-06-02 12:55 Amy Winston
2016-05-02 14:56 Patrick Lauer
2016-03-24 11:39 Patrick Lauer
2016-02-23 10:31 Patrick Lauer
2016-02-09  9:47 Patrick Lauer
2016-02-09  9:40 Patrick Lauer
2016-02-03 12:52 Patrick Lauer
2016-01-03 13:05 Patrick Lauer
2015-12-21  9:25 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462738494.5e5d98bb7afc1c961e89f1aff1738fb37b4ff6f3.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox